{% load i18n %}
{% load static %}
{% block content %}

<div class="row">
    <div class="col-lg-12">

        <!--end card-->
        <div class="row">

            <div class="col-12 col-lg-6 col-xl">
                <div class="card">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col text-center">
                                <span class="h4">{{properties.count}}</span>
                                <h6 class="text-uppercase text-muted mt-2 m-0">Properties</h6>
                            </div>
                            <!--end col-->
                        </div> <!-- end row -->
                    </div>
                    <!--end card-body-->
                </div>
                <!--end card-body-->
            </div>
            <!--end col-->
            <div class="col-12 col-lg-6 col-xl">
                <div class="card">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col text-center">
                                <span class="h4">{{units.count}}</span>
                                <h6 class="text-uppercase text-muted mt-2 m-0">Units</h6>
                            </div>
                            <!--end col-->
                        </div> <!-- end row -->
                    </div>
                    <!--end card-body-->
                </div>
                <!--end card-body-->
            </div>
            <!--end col-->
            <div class="col-12 col-lg-6 col-xl">
                <div class="card">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col text-center">
                                <span class="h4">{{assigned_units.count}}</span>
                                <h6 class="text-uppercase text-muted mt-2 m-0">Assigned Tenant</h6>
                            </div>
                            <!--end col-->
                        </div> <!-- end row -->
                    </div>
                    <!--end card-body-->
                </div>
                <!--end card-->
            </div>
            <!--end col-->
            <div class="col-12 col-lg-6 col-xl">
                <div class="card">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col text-center">
                                <span class="h4">{{tenants.count}}</span>
                                <h6 class="text-uppercase text-muted mt-2 m-0">Tenant</h6>
                            </div>
                            <!--end col-->
                        </div> <!-- end row -->
                    </div>
                    <!--end card-body-->
                </div>
                <!--end card-->
            </div>
            <!--end col-->
        </div>
        <!--end row-->
    </div><!-- end col-->


</div>
<!--end row-->

<div class="row">
    <div class="col-lg-6">
        <div class="card">
            <div class="card-header">
                <div class="row align-items-center">
                    <div class="col">
                        <h4 class="card-title">Properties</h4>
                    </div>
                    <!--end col-->
                </div>
                <!--end row-->
            </div>
            <!--end card-header-->
            <div class="card-body">
                <div class="table-responsive">
                    {% if properties %}
                    <table class="table mb-0">
                        <thead class="thead-light">
                            <tr>
                                <th>Name</th>
                                <th>Address</th>
                                <th>Location</th>
                                <th>Features</th>
                                <th>Units</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for instance in properties|slice:":20" %}
                            <tr>
                                <td>{{instance.name}}</td>
                                <td>{{instance.address}}</td>
                                <td>{{instance.location}}</td>
                                <td>{{instance.features_names}}</td>
                                <td>{{instance.unit_set.all.count}}</td>

                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    {% include 'includes/pagination.html' %}
                    {% else %}
                    {% include 'includes/not_found.html' %}
                    {% endif %}
                    <!--end table-->
                </div>
                <!--end /div-->
            </div>
            <!--end card-body-->
        </div>
        <!--end card-->
    </div>

</div>
<!--end row-->

{% endblock %}